SUM(1B)

NAME
sum - (BSD) sum and count blocks in a file

SYNOPSIS
/usr/local/heirloom/usr/ucb/sum [file]

DESCRIPTION
Sum calculates and prints a 16-bit checksum for the named file, and also prints the number of kilobytes in the file. It is typically used to look for bad spots, or to validate a file communicated over some transmission line.

SEE ALSO
cksum(1), wc(1)

DIAGNOSTICS
`Read error' is indistinguishable from end of file on most devices; check the block count.

NOTES
The checksum is identical to that obtained with the -r option of /usr/local/heirloom/usr/5bin/sum.

The algorithm may produce different results in different implementations. For this reason, cksum(1) should be used in preference.